Intel® Enhanced Privacy ID SDK 2.0.0

Data Structures | Functions
privkey.h File Reference

Private key private interface. More...

`#include "epid/common/errors.h"`
`#include "epid/common/math/ecgroup.h"`
`#include "epid/common/types.h"`

## Data Structures
struct | PrivKey_
| Internal implementation of PrivKey. More...

## Functions
EpidStatus | CreatePrivKey (PrivKey const *priv_key_str, EcGroup *G1, FiniteField *Fp, PrivKey_ **priv_key)
| Constructs internal representation of PrivKey. More...
void | DeletePrivKey (PrivKey_ **priv_key)
| Deallocate storage for internal representation of PrivKey. More...

## Detailed Description

Private key private interface.